## WebKitDOMDocument WebKitDOMDocument |

## Functions

WebKitDOMElement * | webkit_dom_document_create_element ()
WebKitDOMDocumentFragment * | webkit_dom_document_create_document_fragment ()
WebKitDOMText * | webkit_dom_document_create_text_node ()
WebKitDOMComment * | webkit_dom_document_create_comment ()
WebKitDOMCDATASection * | webkit_dom_document_create_cdata_section ()
WebKitDOMProcessingInstruction * | webkit_dom_document_create_processing_instruction ()
WebKitDOMAttr * | webkit_dom_document_create_attribute ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_elements_by_tag_name_as_html_collection ()
WebKitDOMNode * | webkit_dom_document_import_node ()
WebKitDOMElement * | webkit_dom_document_create_element_ns ()
WebKitDOMAttr * | webkit_dom_document_create_attribute_ns ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_elements_by_tag_name_ns_as_html_collection ()
WebKitDOMNode * | webkit_dom_document_adopt_node ()
WebKitDOMEvent * | webkit_dom_document_create_event ()
WebKitDOMRange * | webkit_dom_document_create_range ()
WebKitDOMNodeIterator * | webkit_dom_document_create_node_iterator ()
WebKitDOMTreeWalker * | webkit_dom_document_create_tree_walker ()
WebKitDOMCSSStyleDeclaration * | webkit_dom_document_get_override_style ()
WebKitDOMXPathExpression * | webkit_dom_document_create_expression ()
WebKitDOMXPathNSResolver * | webkit_dom_document_create_ns_resolver ()
WebKitDOMXPathResult * | webkit_dom_document_evaluate ()
gboolean | webkit_dom_document_exec_command ()
gboolean | webkit_dom_document_query_command_enabled ()
gboolean | webkit_dom_document_query_command_indeterm ()
gboolean | webkit_dom_document_query_command_state ()
gboolean | webkit_dom_document_query_command_supported ()
gchar * | webkit_dom_document_query_command_value ()
WebKitDOMNodeList * | webkit_dom_document_get_elements_by_name ()
WebKitDOMElement * | webkit_dom_document_element_from_point ()
WebKitDOMCSSStyleDeclaration * | webkit_dom_document_create_css_style_declaration ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_elements_by_class_name_as_html_collection ()
gboolean | webkit_dom_document_has_focus ()
WebKitDOMElement * | webkit_dom_document_get_element_by_id ()
WebKitDOMElement * | webkit_dom_document_query_selector ()
WebKitDOMNodeList * | webkit_dom_document_query_selector_all ()
WebKitDOMDocumentType * | webkit_dom_document_get_doctype ()
WebKitDOMDOMImplementation * | webkit_dom_document_get_implementation ()
WebKitDOMElement * | webkit_dom_document_get_document_element ()
gchar * | webkit_dom_document_get_input_encoding ()
gchar * | webkit_dom_document_get_xml_encoding ()
gchar * | webkit_dom_document_get_xml_version ()
void | webkit_dom_document_set_xml_version ()
gboolean | webkit_dom_document_get_xml_standalone ()
void | webkit_dom_document_set_xml_standalone ()
gchar * | webkit_dom_document_get_document_uri ()
void | webkit_dom_document_set_document_uri ()
WebKitDOMDOMWindow * | webkit_dom_document_get_default_view ()
WebKitDOMStyleSheetList * | webkit_dom_document_get_style_sheets ()
gchar * | webkit_dom_document_get_title ()
void | webkit_dom_document_set_title ()
gchar * | webkit_dom_document_get_design_mode ()
void | webkit_dom_document_set_design_mode ()
gchar * | webkit_dom_document_get_referrer ()
gchar * | webkit_dom_document_get_domain ()
gchar * | webkit_dom_document_get_url ()
gchar * | webkit_dom_document_get_cookie ()
void | webkit_dom_document_set_cookie ()
WebKitDOMHTMLElement * | webkit_dom_document_get_body ()
void | webkit_dom_document_set_body ()
WebKitDOMHTMLHeadElement * | webkit_dom_document_get_head ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_images ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_applets ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_links ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_forms ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_anchors ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_embeds ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_plugins ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_scripts ()
gchar * | webkit_dom_document_get_last_modified ()
gchar * | webkit_dom_document_get_charset ()
void | webkit_dom_document_set_charset ()
gchar * | webkit_dom_document_get_ready_state ()
gchar * | webkit_dom_document_get_character_set ()
gchar * | webkit_dom_document_get_preferred_stylesheet_set ()
gchar * | webkit_dom_document_get_selected_stylesheet_set ()
void | webkit_dom_document_set_selected_stylesheet_set ()
WebKitDOMElement * | webkit_dom_document_get_active_element ()
gchar * | webkit_dom_document_get_compat_mode ()
WebKitDOMNodeList * | webkit_dom_document_get_elements_by_class_name ()
WebKitDOMNodeList * | webkit_dom_document_get_elements_by_tag_name ()
WebKitDOMNodeList * | webkit_dom_document_get_elements_by_tag_name_ns ()
WebKitDOMEntityReference * | webkit_dom_document_create_entity_reference ()
gchar * | webkit_dom_document_get_default_charset ()
WebKitDOMRange * | webkit_dom_document_caret_range_from_point ()
void | webkit_dom_document_webkit_cancel_fullscreen ()
void | webkit_dom_document_webkit_exit_fullscreen ()
void | webkit_dom_document_exit_pointer_lock ()
gchar * | webkit_dom_document_get_content_type ()
gchar * | webkit_dom_document_get_dir ()
void | webkit_dom_document_set_dir ()
gboolean | webkit_dom_document_get_webkit_is_fullscreen ()
gboolean | webkit_dom_document_get_webkit_fullscreen_keyboard_input_allowed ()
WebKitDOMElement * | webkit_dom_document_get_webkit_current_fullscreen_element ()
gboolean | webkit_dom_document_get_webkit_fullscreen_enabled ()
WebKitDOMElement * | webkit_dom_document_get_webkit_fullscreen_element ()
WebKitDOMElement * | webkit_dom_document_get_pointer_lock_element ()
gchar * | webkit_dom_document_get_visibility_state ()
gboolean | webkit_dom_document_get_hidden ()
WebKitDOMHTMLScriptElement * | webkit_dom_document_get_current_script ()
gchar * | webkit_dom_document_get_origin ()
WebKitDOMElement * | webkit_dom_document_get_scrolling_element ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_children ()
WebKitDOMElement * | webkit_dom_document_get_first_element_child ()
WebKitDOMElement * | webkit_dom_document_get_last_element_child ()
gulong | webkit_dom_document_get_child_element_count ()

## Properties

WebKitDOMElement * | active-element | Read
WebKitDOMHTMLCollection * | anchors | Read
WebKitDOMHTMLCollection * | applets | Read
WebKitDOMHTMLElement * | body | Read
gchar * | character-set | Read
gchar * | charset | Read / Write
gulong | child-element-count | Read
WebKitDOMHTMLCollection * | children | Read
gchar * | compat-mode | Read
gchar * | content-type | Read
gchar * | cookie | Read / Write
WebKitDOMHTMLScriptElement * | current-script | Read
WebKitDOMDOMWindow * | default-view | Read
gchar * | design-mode | Read / Write
gchar * | dir | Read / Write
WebKitDOMDocumentType * | doctype | Read
WebKitDOMElement * | document-element | Read
gchar * | document-uri | Read / Write
gchar * | domain | Read
WebKitDOMHTMLCollection * | embeds | Read
WebKitDOMElement * | first-element-child | Read
WebKitDOMHTMLCollection * | forms | Read
WebKitDOMHTMLHeadElement * | head | Read
gboolean | hidden | Read
WebKitDOMHTMLCollection * | images | Read
WebKitDOMDOMImplementation * | implementation | Read
gchar * | input-encoding | Read
WebKitDOMElement * | last-element-child | Read
gchar * | last-modified | Read
WebKitDOMHTMLCollection * | links | Read
gchar * | origin | Read
WebKitDOMHTMLCollection * | plugins | Read
WebKitDOMElement * | pointer-lock-element | Read
gchar * | preferred-stylesheet-set | Read
gchar * | ready-state | Read
gchar * | referrer | Read
WebKitDOMHTMLCollection * | scripts | Read
WebKitDOMElement * | scrolling-element | Read
gchar * | selected-stylesheet-set | Read / Write
WebKitDOMStyleSheetList * | style-sheets | Read
gchar * | title | Read / Write
gchar * | url | Read
gchar * | visibility-state | Read
WebKitDOMElement * | webkit-current-full-screen-element | Read
gboolean | webkit-full-screen-keyboard-input-allowed | Read
WebKitDOMElement * | webkit-fullscreen-element | Read
gboolean | webkit-fullscreen-enabled | Read
gboolean | webkit-is-full-screen | Read
gchar * | xml-encoding | Read
gboolean | xml-standalone | Read / Write
gchar * | xml-version | Read / Write

## Types and Values

struct | WebKitDOMDocument

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMDocument
                    ╰── WebKitDOMHTMLDocument

## Implemented Interfaces

WebKitDOMDocument implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_document_create_element ()

    WebKitDOMElement *
    webkit_dom_document_create_element (WebKitDOMDocument *self,
                                        const gchar *tagName,
                                        GError **error);

`webkit_dom_document_create_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
tagName | A gchar |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_create_document_fragment ()

    WebKitDOMDocumentFragment *
    webkit_dom_document_create_document_fragment
                                   (WebKitDOMDocument *self);

`webkit_dom_document_create_document_fragment` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDocumentFragment.

[transfer none]

### webkit_dom_document_create_text_node ()

    WebKitDOMText *
    webkit_dom_document_create_text_node (WebKitDOMDocument *self,
                                          const gchar *data);

`webkit_dom_document_create_text_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
data | A gchar |

#### Returns

A WebKitDOMText.

[transfer none]

### webkit_dom_document_create_comment ()

    WebKitDOMComment *
    webkit_dom_document_create_comment (WebKitDOMDocument *self,
                                        const gchar *data);

`webkit_dom_document_create_comment` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
data | A gchar |

#### Returns

A WebKitDOMComment.

[transfer none]

### webkit_dom_document_create_cdata_section ()

    WebKitDOMCDATASection *
    webkit_dom_document_create_cdata_section
                                   (WebKitDOMDocument *self,
                                    const gchar *data,
                                    GError **error);

`webkit_dom_document_create_cdata_section` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
data | A gchar |
error | GError |

#### Returns

A WebKitDOMCDATASection.

[transfer none]

### webkit_dom_document_create_processing_instruction ()

    WebKitDOMProcessingInstruction *
    webkit_dom_document_create_processing_instruction
                                   (WebKitDOMDocument *self,
                                    const gchar *target,
                                    const gchar *data,
                                    GError **error);

`webkit_dom_document_create_processing_instruction` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
target | A gchar |
data | A gchar |
error | GError |

#### Returns

A WebKitDOMProcessingInstruction.

[transfer none]

### webkit_dom_document_create_attribute ()

    WebKitDOMAttr *
    webkit_dom_document_create_attribute (WebKitDOMDocument *self,
                                          const gchar *name,
                                          GError **error);

`webkit_dom_document_create_attribute` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
name | A gchar |
error | GError |

#### Returns

A WebKitDOMAttr.

[transfer none]

### webkit_dom_document_get_elements_by_tag_name_as_html_collection ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_elements_by_tag_name_as_html_collection
                                   (WebKitDOMDocument *self,
                                    const gchar *tagname);

`webkit_dom_document_get_elements_by_tag_name_as_html_collection` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
tagname | A gchar |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

Since: 2.12

### webkit_dom_document_import_node ()

    WebKitDOMNode *
    webkit_dom_document_import_node (WebKitDOMDocument *self,
                                     WebKitDOMNode *importedNode,
                                     gboolean deep,
                                     GError **error);

`webkit_dom_document_import_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
importedNode | A WebKitDOMNode |
deep | A gboolean |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_document_create_element_ns ()

    WebKitDOMElement *
    webkit_dom_document_create_element_ns (WebKitDOMDocument *self,
                                           const gchar *namespaceURI,
                                           const gchar *qualifiedName,
                                           GError **error);

`webkit_dom_document_create_element_ns` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
namespaceURI | A gchar. | [allow-none]
qualifiedName | A gchar |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_create_attribute_ns ()

    WebKitDOMAttr *
    webkit_dom_document_create_attribute_ns
                                   (WebKitDOMDocument *self,
                                    const gchar *namespaceURI,
                                    const gchar *qualifiedName,
                                    GError **error);

`webkit_dom_document_create_attribute_ns` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
namespaceURI | A gchar. | [allow-none]
qualifiedName | A gchar |
error | GError |

#### Returns

A WebKitDOMAttr.

[transfer none]

### webkit_dom_document_get_elements_by_tag_name_ns_as_html_collection ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_elements_by_tag_name_ns_as_html_collection
                                   (WebKitDOMDocument *self,
                                    const gchar *namespaceURI,
                                    const gchar *localName);

`webkit_dom_document_get_elements_by_tag_name_ns_as_html_collection` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
namespaceURI | A gchar |
localName | A gchar |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

Since: 2.12

### webkit_dom_document_adopt_node ()

    WebKitDOMNode *
    webkit_dom_document_adopt_node (WebKitDOMDocument *self,
                                    WebKitDOMNode *source,
                                    GError **error);

`webkit_dom_document_adopt_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
source | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_document_create_event ()

    WebKitDOMEvent *
    webkit_dom_document_create_event (WebKitDOMDocument *self,
                                      const gchar *eventType,
                                      GError **error);

`webkit_dom_document_create_event` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
eventType | A gchar |
error | GError |

#### Returns

A WebKitDOMEvent.

[transfer full]

### webkit_dom_document_create_range ()

    WebKitDOMRange *
    webkit_dom_document_create_range (WebKitDOMDocument *self);

`webkit_dom_document_create_range` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMRange.

[transfer full]

### webkit_dom_document_create_node_iterator ()

    WebKitDOMNodeIterator *
    webkit_dom_document_create_node_iterator
                                   (WebKitDOMDocument *self,
                                    WebKitDOMNode *root,
                                    gulong whatToShow,
                                    WebKitDOMNodeFilter *filter,
                                    gboolean expandEntityReferences,
                                    GError **error);

`webkit_dom_document_create_node_iterator` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
root | A WebKitDOMNode |
whatToShow | A gulong |
filter | A WebKitDOMNodeFilter. | [allow-none]
expandEntityReferences | A gboolean |
error | GError |

#### Returns

A WebKitDOMNodeIterator.

[transfer full]

### webkit_dom_document_create_tree_walker ()

    WebKitDOMTreeWalker *
    webkit_dom_document_create_tree_walker
                                   (WebKitDOMDocument *self,
                                    WebKitDOMNode *root,
                                    gulong whatToShow,
                                    WebKitDOMNodeFilter *filter,
                                    gboolean expandEntityReferences,
                                    GError **error);

`webkit_dom_document_create_tree_walker` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
root | A WebKitDOMNode |
whatToShow | A gulong |
filter | A WebKitDOMNodeFilter. | [allow-none]
expandEntityReferences | A gboolean |
error | GError |

#### Returns

A WebKitDOMTreeWalker.

[transfer full]

### webkit_dom_document_get_override_style ()

    WebKitDOMCSSStyleDeclaration *
    webkit_dom_document_get_override_style
                                   (WebKitDOMDocument *self,
                                    WebKitDOMElement *element,
                                    const gchar *pseudoElement);

`webkit_dom_document_get_override_style` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
element | A WebKitDOMElement |
pseudoElement | A gchar. | [allow-none]

#### Returns

A WebKitDOMCSSStyleDeclaration.

[transfer full]

### webkit_dom_document_create_expression ()

    WebKitDOMXPathExpression *
    webkit_dom_document_create_expression (WebKitDOMDocument *self,
                                           const gchar *expression,
                                           WebKitDOMXPathNSResolver *resolver,
                                           GError **error);

`webkit_dom_document_create_expression` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
expression | A gchar |
resolver | A WebKitDOMXPathNSResolver |
error | GError |

#### Returns

A WebKitDOMXPathExpression.

[transfer full]

### webkit_dom_document_create_ns_resolver ()

    WebKitDOMXPathNSResolver *
    webkit_dom_document_create_ns_resolver
                                   (WebKitDOMDocument *self,
                                    WebKitDOMNode *nodeResolver);

`webkit_dom_document_create_ns_resolver` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
nodeResolver | A WebKitDOMNode |

#### Returns

A WebKitDOMXPathNSResolver.

[transfer full]

### webkit_dom_document_evaluate ()

    WebKitDOMXPathResult *
    webkit_dom_document_evaluate (WebKitDOMDocument *self,
                                  const gchar *expression,
                                  WebKitDOMNode *contextNode,
                                  WebKitDOMXPathNSResolver *resolver,
                                  gushort type,
                                  WebKitDOMXPathResult *inResult,
                                  GError **error);

`webkit_dom_document_evaluate` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
expression | A gchar |
contextNode | A WebKitDOMNode |
resolver | A WebKitDOMXPathNSResolver. | [allow-none]
type | A gushort |
inResult | A WebKitDOMXPathResult. | [allow-none]
error | GError |

#### Returns

A WebKitDOMXPathResult.

[transfer full]

### webkit_dom_document_exec_command ()

    gboolean
    webkit_dom_document_exec_command (WebKitDOMDocument *self,
                                      const gchar *command,
                                      gboolean userInterface,
                                      const gchar *value);

`webkit_dom_document_exec_command` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |
userInterface | A gboolean |
value | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_enabled ()

    gboolean
    webkit_dom_document_query_command_enabled
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

`webkit_dom_document_query_command_enabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_indeterm ()

    gboolean
    webkit_dom_document_query_command_indeterm
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

`webkit_dom_document_query_command_indeterm` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_state ()

    gboolean
    webkit_dom_document_query_command_state
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

`webkit_dom_document_query_command_state` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_supported ()

    gboolean
    webkit_dom_document_query_command_supported
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

`webkit_dom_document_query_command_supported` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_value ()

    gchar *
    webkit_dom_document_query_command_value
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

`webkit_dom_document_query_command_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gchar

### webkit_dom_document_get_elements_by_name ()

    WebKitDOMNodeList *
    webkit_dom_document_get_elements_by_name
                                   (WebKitDOMDocument *self,
                                    const gchar *elementName);

`webkit_dom_document_get_elements_by_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
elementName | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_element_from_point ()

    WebKitDOMElement *
    webkit_dom_document_element_from_point
                                   (WebKitDOMDocument *self,
                                    glong x,
                                    glong y);

`webkit_dom_document_element_from_point` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
x | A glong |
y | A glong |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_create_css_style_declaration ()

    WebKitDOMCSSStyleDeclaration *
    webkit_dom_document_create_css_style_declaration
                                   (WebKitDOMDocument *self);

`webkit_dom_document_create_css_style_declaration` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMCSSStyleDeclaration.

[transfer full]

### webkit_dom_document_get_elements_by_class_name_as_html_collection ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_elements_by_class_name_as_html_collection
                                   (WebKitDOMDocument *self,
                                    const gchar *classNames);

`webkit_dom_document_get_elements_by_class_name_as_html_collection` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
classNames | A gchar |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

Since: 2.12

### webkit_dom_document_has_focus ()

    gboolean
    webkit_dom_document_has_focus (WebKitDOMDocument *self);

`webkit_dom_document_has_focus` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

### webkit_dom_document_get_element_by_id ()

    WebKitDOMElement *
    webkit_dom_document_get_element_by_id (WebKitDOMDocument *self,
                                           const gchar *elementId);

`webkit_dom_document_get_element_by_id` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
elementId | A gchar |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_query_selector ()

    WebKitDOMElement *
    webkit_dom_document_query_selector (WebKitDOMDocument *self,
                                        const gchar *selectors,
                                        GError **error);

`webkit_dom_document_query_selector` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_query_selector_all ()

    WebKitDOMNodeList *
    webkit_dom_document_query_selector_all
                                   (WebKitDOMDocument *self,
                                    const gchar *selectors,
                                    GError **error);

`webkit_dom_document_query_selector_all` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_get_doctype ()

    WebKitDOMDocumentType *
    webkit_dom_document_get_doctype (WebKitDOMDocument *self);

`webkit_dom_document_get_doctype` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDocumentType.

[transfer none]

### webkit_dom_document_get_implementation ()

    WebKitDOMDOMImplementation *
    webkit_dom_document_get_implementation
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_implementation` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDOMImplementation.

[transfer full]

### webkit_dom_document_get_document_element ()

    WebKitDOMElement *
    webkit_dom_document_get_document_element
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_document_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_get_input_encoding ()

    gchar *
    webkit_dom_document_get_input_encoding
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_input_encoding` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_xml_encoding ()

    gchar *
    webkit_dom_document_get_xml_encoding (WebKitDOMDocument *self);

`webkit_dom_document_get_xml_encoding` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_xml_version ()

    gchar *
    webkit_dom_document_get_xml_version (WebKitDOMDocument *self);

`webkit_dom_document_get_xml_version` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_xml_version ()

    void
    webkit_dom_document_set_xml_version (WebKitDOMDocument *self,
                                         const gchar *value,
                                         GError **error);

`webkit_dom_document_set_xml_version` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |
error | GError |

### webkit_dom_document_get_xml_standalone ()

    gboolean
    webkit_dom_document_get_xml_standalone
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_xml_standalone` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

### webkit_dom_document_set_xml_standalone ()

    void
    webkit_dom_document_set_xml_standalone
                                   (WebKitDOMDocument *self,
                                    gboolean value,
                                    GError **error);

`webkit_dom_document_set_xml_standalone` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
value | A gboolean |
error | GError |

### webkit_dom_document_get_document_uri ()

    gchar *
    webkit_dom_document_get_document_uri (WebKitDOMDocument *self);

`webkit_dom_document_get_document_uri` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_document_uri ()

    void
    webkit_dom_document_set_document_uri (WebKitDOMDocument *self,
                                          const gchar *value);

`webkit_dom_document_set_document_uri` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

### webkit_dom_document_get_default_view ()

    WebKitDOMDOMWindow *
    webkit_dom_document_get_default_view (WebKitDOMDocument *self);

`webkit_dom_document_get_default_view` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDOMWindow.

[transfer full]

### webkit_dom_document_get_style_sheets ()

    WebKitDOMStyleSheetList *
    webkit_dom_document_get_style_sheets (WebKitDOMDocument *self);

`webkit_dom_document_get_style_sheets` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMStyleSheetList.

[transfer none]

### webkit_dom_document_get_title ()

    gchar *
    webkit_dom_document_get_title (WebKitDOMDocument *self);

`webkit_dom_document_get_title` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_title ()

    void
    webkit_dom_document_set_title (WebKitDOMDocument *self,
                                   const gchar *value);

`webkit_dom_document_set_title` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

### webkit_dom_document_get_design_mode ()

    gchar *
    webkit_dom_document_get_design_mode (WebKitDOMDocument *self);

`webkit_dom_document_get_design_mode` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

Since: 2.14

### webkit_dom_document_set_design_mode ()

    void
    webkit_dom_document_set_design_mode (WebKitDOMDocument *self,
                                         const gchar *value);

`webkit_dom_document_set_design_mode` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

Since: 2.14

### webkit_dom_document_get_referrer ()

    gchar *
    webkit_dom_document_get_referrer (WebKitDOMDocument *self);

`webkit_dom_document_get_referrer` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_domain ()

    gchar *
    webkit_dom_document_get_domain (WebKitDOMDocument *self);

`webkit_dom_document_get_domain` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_url ()

    gchar *
    webkit_dom_document_get_url (WebKitDOMDocument *self);

`webkit_dom_document_get_url` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_cookie ()

    gchar *
    webkit_dom_document_get_cookie (WebKitDOMDocument *self,
                                    GError **error);

`webkit_dom_document_get_cookie` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
error | GError |

#### Returns

A gchar

### webkit_dom_document_set_cookie ()

    void
    webkit_dom_document_set_cookie (WebKitDOMDocument *self,
                                    const gchar *value,
                                    GError **error);

`webkit_dom_document_set_cookie` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |
error | GError |

### webkit_dom_document_get_body ()

    WebKitDOMHTMLElement *
    webkit_dom_document_get_body (WebKitDOMDocument *self);

`webkit_dom_document_get_body` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLElement.

[transfer none]

### webkit_dom_document_set_body ()

    void
    webkit_dom_document_set_body (WebKitDOMDocument *self,
                                  WebKitDOMHTMLElement *value,
                                  GError **error);

`webkit_dom_document_set_body` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
value | A WebKitDOMHTMLElement |
error | GError |

### webkit_dom_document_get_head ()

    WebKitDOMHTMLHeadElement *
    webkit_dom_document_get_head (WebKitDOMDocument *self);

`webkit_dom_document_get_head` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLHeadElement.

[transfer none]

### webkit_dom_document_get_images ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_images (WebKitDOMDocument *self);

`webkit_dom_document_get_images` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_applets ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_applets (WebKitDOMDocument *self);

`webkit_dom_document_get_applets` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_links ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_links (WebKitDOMDocument *self);

`webkit_dom_document_get_links` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_forms ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_forms (WebKitDOMDocument *self);

`webkit_dom_document_get_forms` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_anchors ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_anchors (WebKitDOMDocument *self);

`webkit_dom_document_get_anchors` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_embeds ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_embeds (WebKitDOMDocument *self);

`webkit_dom_document_get_embeds` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

Since: 2.14

### webkit_dom_document_get_plugins ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_plugins (WebKitDOMDocument *self);

`webkit_dom_document_get_plugins` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

Since: 2.14

### webkit_dom_document_get_scripts ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_scripts (WebKitDOMDocument *self);

`webkit_dom_document_get_scripts` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

Since: 2.14

### webkit_dom_document_get_last_modified ()

    gchar *
    webkit_dom_document_get_last_modified (WebKitDOMDocument *self);

`webkit_dom_document_get_last_modified` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_charset ()

    gchar *
    webkit_dom_document_get_charset (WebKitDOMDocument *self);

`webkit_dom_document_get_charset` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_charset ()

    void
    webkit_dom_document_set_charset (WebKitDOMDocument *self,
                                     const gchar *value);

`webkit_dom_document_set_charset` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

### webkit_dom_document_get_ready_state ()

    gchar *
    webkit_dom_document_get_ready_state (WebKitDOMDocument *self);

`webkit_dom_document_get_ready_state` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_character_set ()

    gchar *
    webkit_dom_document_get_character_set (WebKitDOMDocument *self);

`webkit_dom_document_get_character_set` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_preferred_stylesheet_set ()

    gchar *
    webkit_dom_document_get_preferred_stylesheet_set
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_preferred_stylesheet_set` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

This function has been removed and does nothing.

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_selected_stylesheet_set ()

    gchar *
    webkit_dom_document_get_selected_stylesheet_set
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_selected_stylesheet_set` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

This function has been removed and does nothing.

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_selected_stylesheet_set ()

    void
    webkit_dom_document_set_selected_stylesheet_set
                                   (WebKitDOMDocument *self,
                                    const gchar *value);

`webkit_dom_document_set_selected_stylesheet_set` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

This function has been removed and does nothing.

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

### webkit_dom_document_get_active_element ()

    WebKitDOMElement *
    webkit_dom_document_get_active_element
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_active_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_get_compat_mode ()

    gchar *
    webkit_dom_document_get_compat_mode (WebKitDOMDocument *self);

`webkit_dom_document_get_compat_mode` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

Since: 2.14

### webkit_dom_document_get_elements_by_class_name ()

    WebKitDOMNodeList *
    webkit_dom_document_get_elements_by_class_name
                                   (WebKitDOMDocument *self,
                                    const gchar *class_name);

`webkit_dom_document_get_elements_by_class_name` has been deprecated since version 2.12 and should not be used in newly-written code.

Use `webkit_dom_document_get_elements_by_class_name_as_html_collection()` instead.

#### Parameters

self | A WebKitDOMDocument |
class_name | a gchar with the tag name |

#### Returns

a WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_get_elements_by_tag_name ()

    WebKitDOMNodeList *
    webkit_dom_document_get_elements_by_tag_name
                                   (WebKitDOMDocument *self,
                                    const gchar *tag_name);

`webkit_dom_document_get_elements_by_tag_name` has been deprecated since version 2.12 and should not be used in newly-written code.

Use `webkit_dom_document_get_elements_by_tag_name_as_html_collection()` instead.

#### Parameters

self | A WebKitDOMDocument |
tag_name | a gchar with the tag name |

#### Returns

a WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_get_elements_by_tag_name_ns ()

    WebKitDOMNodeList *
    webkit_dom_document_get_elements_by_tag_name_ns
                                   (WebKitDOMDocument *self,
                                    const gchar *namespace_uri,
                                    const gchar *tag_name);

`webkit_dom_document_get_elements_by_tag_name_ns` has been deprecated since version 2.12 and should not be used in newly-written code.

Use `webkit_dom_document_get_elements_by_tag_name_ns_as_html_collection()` instead.

#### Parameters

self | A WebKitDOMDocument |
namespace_uri | a gchar with the namespace URI |
tag_name | a gchar with the tag name |

#### Returns

a WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_create_entity_reference ()

    WebKitDOMEntityReference *
    webkit_dom_document_create_entity_reference
                                   (WebKitDOMDocument *self,
                                    const gchar *name,
                                    GError **error);

`webkit_dom_document_create_entity_reference` has been deprecated since version 2.12 and should not be used in newly-written code.

This function has been removed from the DOM spec and it just returns `NULL`.

#### Parameters

self | A WebKitDOMDocument |
name | A gchar. | [allow-none]
error | GError |

#### Returns

A WebKitDOMEntityReference.

[transfer none]

### webkit_dom_document_get_default_charset ()

    gchar *
    webkit_dom_document_get_default_charset
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_default_charset` has been deprecated since version 2.14 and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_caret_range_from_point ()

    WebKitDOMRange *
    webkit_dom_document_caret_range_from_point
                                   (WebKitDOMDocument *self,
                                    glong x,
                                    glong y);

`webkit_dom_document_caret_range_from_point` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
x | A glong |
y | A glong |

#### Returns

A WebKitDOMRange.

[transfer full]

Since: 2.16

### webkit_dom_document_webkit_cancel_fullscreen ()

    void
    webkit_dom_document_webkit_cancel_fullscreen
                                   (WebKitDOMDocument *self);

`webkit_dom_document_webkit_cancel_fullscreen` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

Since: 2.16

### webkit_dom_document_webkit_exit_fullscreen ()

    void
    webkit_dom_document_webkit_exit_fullscreen
                                   (WebKitDOMDocument *self);

`webkit_dom_document_webkit_exit_fullscreen` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

Since: 2.16

### webkit_dom_document_exit_pointer_lock ()

    void
    webkit_dom_document_exit_pointer_lock (WebKitDOMDocument *self);

`webkit_dom_document_exit_pointer_lock` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

Since: 2.16

### webkit_dom_document_get_content_type ()

    gchar *
    webkit_dom_document_get_content_type (WebKitDOMDocument *self);

`webkit_dom_document_get_content_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

Since: 2.16

### webkit_dom_document_get_dir ()

    gchar *
    webkit_dom_document_get_dir (WebKitDOMDocument *self);

`webkit_dom_document_get_dir` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

Since: 2.16

### webkit_dom_document_set_dir ()

    void
    webkit_dom_document_set_dir (WebKitDOMDocument *self,
                                 const gchar *value);

`webkit_dom_document_set_dir` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

Since: 2.16

### webkit_dom_document_get_webkit_is_fullscreen ()

    gboolean
    webkit_dom_document_get_webkit_is_fullscreen
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_webkit_is_fullscreen` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_document_get_webkit_fullscreen_keyboard_input_allowed ()

    gboolean
    webkit_dom_document_get_webkit_fullscreen_keyboard_input_allowed
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_webkit_fullscreen_keyboard_input_allowed` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_document_get_webkit_current_fullscreen_element ()

    WebKitDOMElement *
    webkit_dom_document_get_webkit_current_fullscreen_element
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_webkit_current_fullscreen_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_get_webkit_fullscreen_enabled ()

    gboolean
    webkit_dom_document_get_webkit_fullscreen_enabled
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_webkit_fullscreen_enabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_document_get_webkit_fullscreen_element ()

    WebKitDOMElement *
    webkit_dom_document_get_webkit_fullscreen_element
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_webkit_fullscreen_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_get_pointer_lock_element ()

    WebKitDOMElement *
    webkit_dom_document_get_pointer_lock_element
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_pointer_lock_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_get_visibility_state ()

    gchar *
    webkit_dom_document_get_visibility_state
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_visibility_state` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

Since: 2.16

### webkit_dom_document_get_hidden ()

    gboolean
    webkit_dom_document_get_hidden (WebKitDOMDocument *self);

`webkit_dom_document_get_hidden` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_document_get_current_script ()

    WebKitDOMHTMLScriptElement *
    webkit_dom_document_get_current_script
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_current_script` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLScriptElement.

[transfer none]

Since: 2.16

### webkit_dom_document_get_origin ()

    gchar *
    webkit_dom_document_get_origin (WebKitDOMDocument *self);

`webkit_dom_document_get_origin` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

Since: 2.16

### webkit_dom_document_get_scrolling_element ()

    WebKitDOMElement *
    webkit_dom_document_get_scrolling_element
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_scrolling_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_get_children ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_children (WebKitDOMDocument *self);

`webkit_dom_document_get_children` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

Since: 2.16

### webkit_dom_document_get_first_element_child ()

    WebKitDOMElement *
    webkit_dom_document_get_first_element_child
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_first_element_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_get_last_element_child ()

    WebKitDOMElement *
    webkit_dom_document_get_last_element_child
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_last_element_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_get_child_element_count ()

    gulong
    webkit_dom_document_get_child_element_count
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_child_element_count` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gulong

Since: 2.16

## Types and Values

### struct WebKitDOMDocument

    struct WebKitDOMDocument;

## Property Details

### The `“active-element”` property

      “active-element”           WebKitDOMElement *

read-only WebKitDOMElement* Document:active-element.

Flags: Read

### The `“anchors”` property

      “anchors”                  WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:anchors.

Flags: Read

### The `“applets”` property

      “applets”                  WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:applets.

Flags: Read

### The `“body”` property

      “body”                     WebKitDOMHTMLElement *

read-only WebKitDOMHTMLElement* Document:body.

Flags: Read

### The `“character-set”` property

      “character-set”            gchar *

read-only gchar* Document:character-set.

Flags: Read

Default value: ""

### The `“charset”` property

      “charset”                  gchar *

read-write gchar* Document:charset.

Flags: Read / Write

Default value: ""

### The `“child-element-count”` property

      “child-element-count”      gulong

read-only gulong Document:child-element-count.

Flags: Read

### The `“children”` property

      “children”                 WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:children.

Flags: Read

### The `“compat-mode”` property

      “compat-mode”              gchar *

read-only gchar* Document:compat-mode.

Flags: Read

Default value: ""

### The `“content-type”` property

      “content-type”             gchar *

read-only gchar* Document:content-type.

Flags: Read

Default value: ""

### The `“cookie”` property

      “cookie”                   gchar *

read-write gchar* Document:cookie.

Flags: Read / Write

Default value: ""

### The `“current-script”` property

      “current-script”           WebKitDOMHTMLScriptElement *

read-only WebKitDOMHTMLScriptElement* Document:current-script.

Flags: Read

### The `“default-view”` property

      “default-view”             WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* Document:default-view.

Flags: Read

### The `“design-mode”` property

      “design-mode”              gchar *

read-write gchar* Document:design-mode.

Flags: Read / Write

Default value: ""

### The `“dir”` property

      “dir”                      gchar *

read-write gchar* Document:dir.

Flags: Read / Write

Default value: ""

### The `“doctype”` property

      “doctype”                  WebKitDOMDocumentType *

read-only WebKitDOMDocumentType* Document:doctype.

Flags: Read

### The `“document-element”` property

      “document-element”         WebKitDOMElement *

read-only WebKitDOMElement* Document:document-element.

Flags: Read

### The `“document-uri”` property

      “document-uri”             gchar *

read-write gchar* Document:document-uri.

Flags: Read / Write

Default value: ""

### The `“domain”` property

      “domain”                   gchar *

read-only gchar* Document:domain.

Flags: Read

Default value: ""

### The `“embeds”` property

      “embeds”                   WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:embeds.

Flags: Read

### The `“first-element-child”` property

      “first-element-child”      WebKitDOMElement *

read-only WebKitDOMElement* Document:first-element-child.

Flags: Read

### The `“forms”` property

      “forms”                    WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:forms.

Flags: Read

### The `“head”` property

      “head”                     WebKitDOMHTMLHeadElement *

read-only WebKitDOMHTMLHeadElement* Document:head.

Flags: Read

### The `“hidden”` property

      “hidden”                   gboolean

read-only gboolean Document:hidden.

Flags: Read

Default value: FALSE

### The `“images”` property

      “images”                   WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:images.

Flags: Read

### The `“implementation”` property

      “implementation”           WebKitDOMDOMImplementation *

read-only WebKitDOMDOMImplementation* Document:implementation.

Flags: Read

### The `“input-encoding”` property

      “input-encoding”           gchar *

read-only gchar* Document:input-encoding.

Flags: Read

Default value: ""

### The `“last-element-child”` property

      “last-element-child”       WebKitDOMElement *

read-only WebKitDOMElement* Document:last-element-child.

Flags: Read

### The `“last-modified”` property

      “last-modified”            gchar *

read-only gchar* Document:last-modified.

Flags: Read

Default value: ""

### The `“links”` property

      “links”                    WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:links.

Flags: Read

### The `“origin”` property

      “origin”                   gchar *

read-only gchar* Document:origin.

Flags: Read

Default value: ""

### The `“plugins”` property

      “plugins”                  WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:plugins.

Flags: Read

### The `“pointer-lock-element”` property

      “pointer-lock-element”     WebKitDOMElement *

read-only WebKitDOMElement* Document:pointer-lock-element.

Flags: Read

### The `“preferred-stylesheet-set”` property

      “preferred-stylesheet-set” gchar *

read-only gchar* Document:preferred-stylesheet-set.

Flags: Read

Default value: ""

### The `“ready-state”` property

      “ready-state”              gchar *

read-only gchar* Document:ready-state.

Flags: Read

Default value: ""

### The `“referrer”` property

      “referrer”                 gchar *

read-only gchar* Document:referrer.

Flags: Read

Default value: ""

### The `“scripts”` property

      “scripts”                  WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:scripts.

Flags: Read

### The `“scrolling-element”` property

      “scrolling-element”        WebKitDOMElement *

read-only WebKitDOMElement* Document:scrolling-element.

Flags: Read

### The `“selected-stylesheet-set”` property

      “selected-stylesheet-set”  gchar *

read-write gchar* Document:selected-stylesheet-set.

Flags: Read / Write

Default value: ""

### The `“style-sheets”` property

      “style-sheets”             WebKitDOMStyleSheetList *

read-only WebKitDOMStyleSheetList* Document:style-sheets.

Flags: Read

### The `“title”` property

      “title”                    gchar *

read-write gchar* Document:title.

Flags: Read / Write

Default value: ""

### The `“url”` property

      “url”                      gchar *

read-only gchar* Document:url.

Flags: Read

Default value: ""

### The `“visibility-state”` property

      “visibility-state”         gchar *

read-only gchar* Document:visibility-state.

Flags: Read

Default value: ""

### The `“webkit-current-full-screen-element”` property

      “webkit-current-full-screen-element” WebKitDOMElement *

read-only WebKitDOMElement* Document:webkit-current-full-screen-element.

Flags: Read

### The `“webkit-full-screen-keyboard-input-allowed”` property

      “webkit-full-screen-keyboard-input-allowed” gboolean

read-only gboolean Document:webkit-full-screen-keyboard-input-allowed.

Flags: Read

Default value: FALSE

### The `“webkit-fullscreen-element”` property

      “webkit-fullscreen-element” WebKitDOMElement *

read-only WebKitDOMElement* Document:webkit-fullscreen-element.

Flags: Read

### The `“webkit-fullscreen-enabled”` property

      “webkit-fullscreen-enabled” gboolean

read-only gboolean Document:webkit-fullscreen-enabled.

Flags: Read

Default value: FALSE

### The `“webkit-is-full-screen”` property

      “webkit-is-full-screen”    gboolean

read-only gboolean Document:webkit-is-full-screen.

Flags: Read

Default value: FALSE

### The `“xml-encoding”` property

      “xml-encoding”             gchar *

read-only gchar* Document:xml-encoding.

Flags: Read

Default value: ""

### The `“xml-standalone”` property

      “xml-standalone”           gboolean

read-write gboolean Document:xml-standalone.

Flags: Read / Write

Default value: FALSE

### The `“xml-version”` property

      “xml-version”              gchar *

read-write gchar* Document:xml-version.

Flags: Read / Write

Default value: ""